> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superleap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Object

Retrieve the schema and field definitions for a specific entity. This endpoint is used by the AppFlow connector to discover available fields when configuring a flow.

### Headers

<ParamField header="Authorization" type="string" required>
  Bearer token for authentication, [click here](https://app.superleap.com/settings/apiAccess) to generate one
</ParamField>

### Path Parameters

<ParamField path="object_slug" type="string" required>
  The entity identifier for the object (e.g., "lead", "user", "opportunity"). Use the [List Objects](/api-reference/appflow/list_objects) endpoint to discover available identifiers.
</ParamField>

### Example Request

```bash theme={null}
curl --location 'https://app.superleap.com/api/v1/appflow/objects/lead' \
--header 'Authorization: Bearer SUPERSECRETREDACTEDKEY'
```

### Example Response

```json theme={null}
{
    "success": true,
    "data": {
        "entity_identifier": "lead",
        "label": "Lead",
        "description": "",
        "has_nested_entities": false,
        "is_writable": false,
        "fields": [
            {
                "field_name": "id",
                "data_type": "String",
                "data_type_label": "varchar",
                "label": "Record id",
                "description": "",
                "is_primary_key": true,
                "is_deprecated": false,
                "read_properties": {
                    "is_retrievable": true,
                    "is_nullable": false,
                    "is_queryable": false,
                    "is_timestamp_field_for_incremental_queries": false
                }
            },
            {
                "field_name": "name",
                "data_type": "String",
                "data_type_label": "varchar",
                "label": "Name",
                "description": "",
                "is_primary_key": false,
                "is_deprecated": false,
                "read_properties": {
                    "is_retrievable": true,
                    "is_nullable": true,
                    "is_queryable": false,
                    "is_timestamp_field_for_incremental_queries": false
                }
            },
            {
                "field_name": "email",
                "data_type": "String",
                "data_type_label": "email",
                "label": "Email",
                "description": "",
                "is_primary_key": false,
                "is_deprecated": false,
                "read_properties": {
                    "is_retrievable": true,
                    "is_nullable": true,
                    "is_queryable": false,
                    "is_timestamp_field_for_incremental_queries": false
                }
            },
            {
                "field_name": "phone",
                "data_type": "String",
                "data_type_label": "phone",
                "label": "Phone",
                "description": "",
                "is_primary_key": false,
                "is_deprecated": false,
                "read_properties": {
                    "is_retrievable": true,
                    "is_nullable": true,
                    "is_queryable": false,
                    "is_timestamp_field_for_incremental_queries": false
                }
            },
            {
                "field_name": "created_at",
                "data_type": "DateTime",
                "data_type_label": "timestamp",
                "label": "Created at",
                "description": "",
                "is_primary_key": false,
                "is_deprecated": false,
                "read_properties": {
                    "is_retrievable": true,
                    "is_nullable": true,
                    "is_queryable": false,
                    "is_timestamp_field_for_incremental_queries": true
                }
            },
            {
                "field_name": "updated_at",
                "data_type": "DateTime",
                "data_type_label": "timestamp",
                "label": "Updated at",
                "description": "",
                "is_primary_key": false,
                "is_deprecated": false,
                "read_properties": {
                    "is_retrievable": true,
                    "is_nullable": true,
                    "is_queryable": false,
                    "is_timestamp_field_for_incremental_queries": true
                }
            },
            {
                "field_name": "owner",
                "data_type": "String",
                "data_type_label": "relation",
                "label": "Owner",
                "description": "",
                "is_primary_key": false,
                "is_deprecated": false,
                "read_properties": {
                    "is_retrievable": true,
                    "is_nullable": true,
                    "is_queryable": false,
                    "is_timestamp_field_for_incremental_queries": false
                }
            },
            {
                "field_name": "external_id",
                "data_type": "String",
                "data_type_label": "varchar",
                "label": "External id",
                "description": "",
                "is_primary_key": false,
                "is_deprecated": false,
                "read_properties": {
                    "is_retrievable": true,
                    "is_nullable": true,
                    "is_queryable": false,
                    "is_timestamp_field_for_incremental_queries": false
                }
            }
        ]
    }
}
```

### Response Fields

| Field     | Type    | Description                        |
| --------- | ------- | ---------------------------------- |
| `success` | boolean | Whether the request was successful |
| `data`    | object  | The entity schema details          |

### Entity Schema

| Field                 | Type    | Description                                      |
| --------------------- | ------- | ------------------------------------------------ |
| `entity_identifier`   | string  | Unique slug identifier for the entity            |
| `label`               | string  | Human-readable display name                      |
| `description`         | string  | Description of the entity                        |
| `has_nested_entities` | boolean | Whether this entity contains nested sub-entities |
| `is_writable`         | boolean | Whether AppFlow can write data to this entity    |
| `fields`              | array   | List of field definitions for the entity         |

### Field Object

| Field             | Type    | Description                                                                                      |
| ----------------- | ------- | ------------------------------------------------------------------------------------------------ |
| `field_name`      | string  | The field's programmatic name (used in queries and responses)                                    |
| `data_type`       | string  | The field's data type (`String`, `Boolean`, `DateTime`, `Integer`, `Float`)                      |
| `data_type_label` | string  | Specific type label (e.g., `varchar`, `email`, `phone`, `timestamp`, `enum`, `relation`, `bool`) |
| `label`           | string  | Human-readable display name for the field                                                        |
| `description`     | string  | Description of the field                                                                         |
| `is_primary_key`  | boolean | Whether this field is the primary key                                                            |
| `is_deprecated`   | boolean | Whether this field is deprecated                                                                 |
| `read_properties` | object  | Read access properties for the field                                                             |

### Read Properties

| Field                                        | Type    | Description                                                              |
| -------------------------------------------- | ------- | ------------------------------------------------------------------------ |
| `is_retrievable`                             | boolean | Whether the field can be retrieved in queries                            |
| `is_nullable`                                | boolean | Whether the field can contain null values                                |
| `is_queryable`                               | boolean | Whether the field can be used in query filters                           |
| `is_timestamp_field_for_incremental_queries` | boolean | Whether this field can be used as a timestamp for incremental data syncs |
